# $Revision: 1.16 $, $Date: 2011/01/29 00:07:52 $
Summary:	xfwp application - X firewall proxy
Summary(pl.UTF-8):	Aplikacja xfwp - proxy X dla firewalli
Name:		xorg-app-xfwp
Version:	1.0.2
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xfwp-%{version}.tar.bz2
# Source0-md5:	eeb558aad30a8b2bc1f1f0e919ea6f38
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproxymanagementprotocol-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The X firewall proxy (xfwp) is an application layer gateway proxy
that may be run on a network firewall host to forward X traffic
across the firewall. Used in conjunction with the X server Security
extension and authorization checking, xfwp constitutes a safe, simple,
and reliable mechanism both to hide the addresses of X servers located
on the Intranet and to enforce a server connection policy. xfwp cannot
protect against mischief originating on the Intranet; however, when
properly configured it can guarantee that only trusted clients
originating on authorized external Internet hosts will be allowed
inbound access to local X servers.

%description -l pl.UTF-8
xfwp (X firewall proxy) to bramka proxy w warstwie aplikacyjnej, którą
można uruchomić na komputerze będącym firewallem sieciowym w celu
przekazywania ruchu X poprzez zaporę. W połączeniu z rozszerzeniem
Security serwera X oraz sprawdzaniem autoryzacji xfwp tworzy
bezpieczny, prosty i niezawodny mechanizm zarówno do ukrywania adresów
serwerów X położonych w intranecie, jak i wymuszania polityki
bezpieczeństwa. xfwp nie może zabezpieczyć przed szkodami z wewnątrz
intranetu, ale odpowiednio skonfigurowany może zagwarantować, że tylko
zaufani klienci łączący się z autoryzowanych komputerów w Internecie
będą mogli połączyć się z lokalnymi serwerami X.

%prep
%setup -q -n xfwp-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xfwp
%{_mandir}/man1/xfwp.1x*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-app-xfwp.spec,v $
Revision 1.16  2011/01/29 00:07:52  sparky
- dropped pre-cvs changelog

Revision 1.15  2011/01/10 18:02:07  qboosh
- real descriptions
- updated BRs

Revision 1.14  2011/01/10 12:06:37  caleb
- Up to 1.0.2

Revision 1.13  2008/07/27 23:02:22  arekm
- release 2

Revision 1.12  2007-02-12 22:09:23  glen
- tabs in preamble

Revision 1.11  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.10  2006/10/15 17:55:03  qboosh
- use individual dir, more verbose files, release 1

Revision 1.9  2006/01/12 14:51:18  qboosh
- 1.0.1 (X11R7.0 release)

Revision 1.8  2005/12/09 15:55:47  qboosh
- 0.99.2 (X11R7.0-RC3)

Revision 1.7  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.6  2005/10/22 01:29:57  qboosh
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

Revision 1.5  2005/08/27 21:46:18  qboosh
- sorted BRs

Revision 1.4  2005/08/27 20:04:01  wiget
- standard permisions to binaries

Revision 1.3  2005/08/27 20:00:45  wiget
- cleanups, kill /usr/X11R6

Revision 1.2  2005/08/27 17:42:47  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:42  arekm
- modular xorg specs
